View Issue Details

IDProjectCategoryView StatusLast Update
0016485LazarusIDEpublic2010-12-28 10:09
ReporterMarelis Assigned ToJesus Reyes  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSUbuntu 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0016485: Not saved the default column name (TStringGrid) after the second store in the IDE
DescriptionIf the default name of the column and the *.lfm saved the first time, includes the name right -> line: Title.Caption =' Title'.

When this project opens in the Lazarus IDE again and save the changed *.lfm, so the line with Title.Caption misses (subsequently also in the file *.lrt).

And if you are using i18n, so it leads to the fact that the missing lines for translation of names of columns in the TStringGrid.
TagsNo tags attached.
Fixed in Revision27320, 27389
LazTarget0.9.30
WidgetsetGTK 2
Attached Files

Activities

Marelis

2010-05-16 10:37

reporter   ~0037634

Just do not take into account the default column name 'Title', can be left as is and change the name not be made until after the translation (i18n) into another language. Moreover, the string 'Title' can be applied to the column name and not just be a default value, which is always changing. Thanks.

Jesus Reyes

2010-09-12 02:01

developer   ~0040976

Please test.

Marelis

2010-09-16 10:02

reporter   ~0041134

I'm sorry, but when I create a new project (application) and add the form TStringGrid, which I put into six columns (Columns) and leave the default column name 'Title', so to project1.po (i18n enabled) store only the following:

---8<---

msgid ""
msgstr "Content-Type: text/plain; charset=UTF-8"

#: TFORM1.FORM1.CAPTION
msgid "Form1"
msgstr ""

---8<---

If I change the value of the Caption of the first column to 'First', and is stored in project1.po following:

---8<---

msgid ""
msgstr "Content-Type: text/plain; charset=UTF-8"

#: TFORM1.FORM1.CAPTION
msgid "Form1"
msgstr ""

#: TFORM1.STRINGGRID1.COLUMNS[0].TGRIDCOLUMNTITLE.CAPTION
msgid "First"
msgstr ""

---8<---

Lazarus SVN revision 27377

Jesus Reyes

2010-09-16 21:18

developer   ~0041143

please try again, if it's not fixed please rephrase your description.

Marelis

2010-12-28 10:09

reporter   ~0044641

Thanks

Issue History

Date Modified Username Field Change
2010-05-16 08:33 Marelis New Issue
2010-05-16 08:33 Marelis Widgetset => GTK 2
2010-05-16 10:37 Marelis Note Added: 0037634
2010-05-23 10:18 Zeljan Rikalo Status new => assigned
2010-05-23 10:18 Zeljan Rikalo Assigned To => Jesus Reyes
2010-09-12 02:01 Jesus Reyes Fixed in Revision => 27320
2010-09-12 02:01 Jesus Reyes LazTarget => 0.9.30
2010-09-12 02:01 Jesus Reyes Status assigned => resolved
2010-09-12 02:01 Jesus Reyes Fixed in Version => 0.9.29 (SVN)
2010-09-12 02:01 Jesus Reyes Resolution open => fixed
2010-09-12 02:01 Jesus Reyes Note Added: 0040976
2010-09-12 02:01 Jesus Reyes Target Version => 0.9.30
2010-09-16 10:02 Marelis Status resolved => assigned
2010-09-16 10:02 Marelis Resolution fixed => reopened
2010-09-16 10:02 Marelis Note Added: 0041134
2010-09-16 21:18 Jesus Reyes Fixed in Revision 27320 => 27320, 27389
2010-09-16 21:18 Jesus Reyes Status assigned => resolved
2010-09-16 21:18 Jesus Reyes Resolution reopened => fixed
2010-09-16 21:18 Jesus Reyes Note Added: 0041143
2010-12-28 10:09 Marelis Status resolved => closed
2010-12-28 10:09 Marelis Note Added: 0044641